Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1943028 - libtomcrypt: FTBFS: LaTeX Error: File `geometry.sty' not found.
Summary: libtomcrypt: FTBFS: LaTeX Error: File `geometry.sty' not found.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libtomcrypt
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F35FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-03-25 12:44 UTC by Ondrej Dubaj
Modified: 2021-04-02 00:16 UTC (History)
4 users (show)

Fixed In Version: libtomcrypt-1.18.2-12.fc35 libtomcrypt-1.18.2-12.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-02 00:16:53 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ondrej Dubaj 2021-03-25 12:44:49 UTC
Your package fails to build with the newest upcoming autoconf-2.71, which is part of a wide Fedora change. Please see the attached copr: https://copr.fedorainfracloud.org/coprs/odubaj/autoconf-2.70/packages/. More information about testing your package when building with autoconf available here: https://fedoraproject.org/wiki/Changes/Autoconf_271#How_To_Test

Comment 1 Petr Pisar 2021-03-30 15:49:26 UTC
From build.log:

+ /usr/bin/make -O -j2 V=1 VERBOSE=1 V=1 -f makefile docs
/usr/bin/make -C doc/ docs V=1
make[1]: Entering directory '/builddir/build/BUILD/libtomcrypt-1.18.2/doc'
rm -f crypt.pdf *.dvi *.log *.aux *.toc *.idx *.ilg *.ind *.out *.lof
cp crypt.tex crypt.bak
touch -r crypt.tex crypt.bak
(printf "%s" "\def\fixedpdfdate{"; date +'D:%Y%m%d%H%M%S%:z' -d @$(stat --format=%Y crypt.tex) | sed "s/:\([0-9][0-9]\)$/'\1'}/g") > crypt-deterministic.tex
printf "%s\n" "\pdfinfo{" >> crypt-deterministic.tex
printf "%s\n" "  /CreationDate (\fixedpdfdate)" >> crypt-deterministic.tex
printf "%s\n}\n" "  /ModDate (\fixedpdfdate)" >> crypt-deterministic.tex
cat crypt.tex >> crypt-deterministic.tex
mv crypt-deterministic.tex crypt.tex
touch -r crypt.bak crypt.tex
echo "hello" > crypt.ind
latex crypt 
This is pdfTeX, Version 3.14159265-2.6-1.40.21 (TeX Live 2020) (preloaded format=latex)
 restricted \write18 enabled.
entering extended mode
(./crypt.tex
LaTeX2e <2020-02-02> patch level 5
pdfTeX warning (\pdfinfo): not allowed in DVI mode (\pdfoutput <= 0); ignoring 
it
(/usr/share/texlive/texmf-dist/tex/latex/base/book.cls
Document Class: book 2019/12/20 v1.4l Standard LaTeX document class
(/usr/share/texlive/texmf-dist/tex/latex/base/bk10.clo))
! LaTeX Error: File `geometry.sty' not found.

This has nothing in common with the new autoconf. We can see the same failure in F35 with the old autoconf.

Comment 2 Petr Pisar 2021-03-30 15:52:08 UTC
This is probably triggered by upgrading texlive-latex from 7:20200327-14.fc33 to 9:20200327-28.fc34 <https://koschei.fedoraproject.org/build/9816233>.

Comment 3 Petr Pisar 2021-03-30 15:59:40 UTC
doc/crypt.tex:

\documentclass[synpaper]{book}
\usepackage{geometry}

# dnf -q repoquery --whatprovides 'tex(geometry.sty)'
texlive-geometry-9:svn54080-38.fc35.noarch

It's a missing build-time dependency in libtomcrypt.spec.

Comment 4 Fedora Update System 2021-03-30 17:15:50 UTC
FEDORA-2021-b76f18ca98 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b76f18ca98

Comment 5 Fedora Update System 2021-03-31 01:20:11 UTC
FEDORA-2021-b76f18ca98 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b76f18ca98`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b76f18ca98

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-04-02 00:16:53 UTC
FEDORA-2021-b76f18ca98 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.